## ziproxy 2.5.2

=== src/Makefile ===
# Makefile for ziproxy

# CONFIGURE: If you are using a SystemV-based operating system, such as
# Solaris, you will need to uncomment this definition.
#SYSV_LIBS =	-lnsl -lsocket

#Other possible options to put under EXTRA_CFL:
# -DNOWAIT : if compiling under cygwin (or other platforms, where no explicit
#treatment of child processes is needed). Affects only netd compilation.
# -DCONFUSEv2 : if compiling with libConfuse 2.x (please don't use 2.0 !)
EXTRA_CFL =  
# Uncomment to enable JPEG2000:
#JP2K = yes
# You can fill in root of Jasper library installation:
#JASPER = /home/somewhere/jasper
#This works only with newer GNU make. If your make doesn't like it,
#you have to edit following lines manually according to whether you 
#need JP2 or not.
 
ifdef JP2K
	EXTRA_CFL+= -DJP2K
	J2KLIB=-ljasper
	MDF=htmlmodify_jp2
	ifdef JASPER
		J2KLIB = -L$(JASPER)/lib -ljasper
		J2KINC = -I$(JASPER)/include
	endif
else
	MDF=htmlmodify
endif

CFLAGS =-ggdb $(EXTRA_CFL)

CC = gcc

#If -lgif is not found, try -lungif
LDFLAGS = -g $(SYSV_LIBS) -lgif -lpng -ljpeg -lm -lz -lconfuse 

all: netd ziproxy cfgtest imgtest

ziproxy: ziproxy.o http.o log.o text.o image.o $(MDF).o cfgfile.o
	$(CC) ziproxy.o http.o log.o text.o image.o $(MDF).o cfgfile.o $(LDFLAGS) $(J2KLIB) -o ziproxy

ziproxy.o: ziproxy.c image.h http.h log.h text.h htmlmodify.h cfgfile.h
	$(CC) $(CFLAGS) -c ziproxy.c -o ziproxy.o
	
http.o: http.c http.h
	$(CC) $(CFLAGS) -c http.c -o http.o
	
image.o: image.c image.h
	$(CC) $(CFLAGS) $(J2KINC) -c image.c -o image.o
	
log.o: log.c 
	$(CC) $(CFLAGS) $(J2KINC) -c log.c -o log.o

text.o: text.c
	$(CC) $(CFLAGS) $(J2KINC) -c text.c -o text.o

$(MDF).c: $(MDF).l
	flex -s -d -Cfa -Phtmlmodify_yy -8 -o$(MDF).c $(MDF).l
	
$(MDF).o: $(MDF).c
	$(CC) $(CFLAGS) -c $(MDF).c -o $(MDF).o 

cfgfile.o: cfgfile.c
	$(CC) $(CFLAGS) -c cfgfile.c -o cfgfile.o

netd:netd.c cfgfile.o cfgfile.h
	$(CC) $(CFLAGS) netd.c cfgfile.o $(LDFLAGS) -o netd

modifytest: modifytest.c $(MDF).o
	$(CC) $(CFLAGS) modifytest.c $(MDF).o $(LDFLAGS) -o modifytest

imgtest: image.o imgtest.c
	$(CC) $(CFLAGS) imgtest.c image.o cfgfile.o $(LDFLAGS) $(J2KLIB) -o imgtest
	
cfgtest: cfgtest.c cfgfile.o
	$(CC) $(CFLAGS) cfgtest.c cfgfile.o $(LDFLAGS) -o cfgtest

#install: all
#	rm -f $(BINDIR)/ziproxy
#	cp ziproxy $(BINDIR)
#	rm -f $(MANDIR)/ziproxy.8
#	cp ziproxy.8 $(MANDIR)

clean:
	rm -f ziproxy netd modifytest imgtest cfgtest *.o core core.* *.core

## ziproxy 2.7.2

=== debian/changelog ===
ziproxy (2.7.2-1.1ubuntu2) maverick; urgency=low

  * cfgfile.c: use "nsaddress" as identifier rather than nsaddr which is
    #define-d in resolv.h; LP: #539874.
  * Remove -O1 workaround on arm.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 16 Aug 2010 16:28:51 +0200

ziproxy (2.7.2-1.1ubuntu1) lucid; urgency=low

  * Disable optimization on arm (LP: #539874)

 -- David Sugar <david.sugar@canonical.com>  Tue, 16 Mar 2010 16:24:32 -0400

ziproxy (2.7.2-1.1) unstable; urgency=low

  * NMU
  * Add Depends on passwd and adduser, as used by
    preinst and postrm.  closes: #566589.

 -- Clint Adams <schizo@debian.org>  Sat, 30 Jan 2010 23:03:26 -0500

ziproxy (2.7.2-1) unstable; urgency=low

  * Run as a system user (Closes: #543471, #543494)
    - Thanks to Kandalintsev Alexandre.
  * Small fixes in init
  * New upstream release (Closes: #521051)
  * Update to DebSrc3.0
  * Use of DEP-3 compliant headers
  * Updated debian/copyright
  * Small fixes in maintainer scripts

 -- Marcos Talau <marcostalau@gmail.com>  Mon, 07 Dec 2009 23:03:54 -0200

ziproxy (2.7.0-1) unstable; urgency=low

  * New upstream release
    - New files from upstream: replace_ct.list and deny.list
    - Updated ziproxyconf patch
    - Don't use manpage ziproxylogtool.ru.1, because it have problems
  * Upgrade for the Debian Policy 3.8.1

 -- Marcos Talau <marcostalau@gmail.com>  Mon, 04 May 2009 06:36:08 -0300

ziproxy (2.6.0-1) unstable; urgency=low

  * New upstream release

 -- Marcos Talau <marcostalau@gmail.com>  Wed, 24 Dec 2008 19:49:38 -0200

ziproxy (2.5.2-2) unstable; urgency=low

  * Created a debian patch to ziproxy.conf - quilt was used.
  * Fixed a warning in dpkg-shlibdeps
  * Added support for libjasper
  * Upgrade for the Debian Policy 3.8.0
  * Few changes at debian/rules
  * Fixed Lintian problems.
    - debhelper-script-needs-versioned-build-depends
    - build-depends-on-obsolete-package

 -- Marcos Talau <marcostalau@gmail.com>  Sun, 29 Jun 2008 17:41:51 -0300

ziproxy (2.5.2-1) unstable; urgency=low

  * Initial release. (Closes: #458605)

 -- Marcos Talau <marcostalau@gmail.com>  Wed, 7 May 2008 19:04:03 -0300

=== debian/control ===
Source: ziproxy
Section: net
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Marcos Talau <marcostalau@gmail.com>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, flex, libjpeg62-dev, libpng12-dev, libgif-dev, zlib1g-dev, autoconf, libjasper-dev, adduser
Standards-Version: 3.8.3
Homepage: http://ziproxy.sf.net
Vcs-Git: git://git.debian.org/git/collab-maint/pkg-ziproxy.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-ziproxy.git

Package: ziproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, passwd, adduser
Description: compressing HTTP proxy server
 ziproxy is a forwarding, non-caching and compressing HTTP proxy server.
 Basically it squeezes images by converting them to lower quality
 JPEGs and compresses (gzip) HTML and other text-like data.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-jasper CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed"

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_fixperms:
	dh_fixperms --exclude http.passwd
	chmod 640 debian/ziproxy/etc/ziproxy/http.passwd

## ziproxy 3.1.3

=== debian/changelog ===
ziproxy (3.1.3-1) unstable; urgency=low

  * New upstream release (LP: #569611)
  * debian/patches/02_ziproxy_3.1.1_speedup.diff
    - Removed, merged upstream.
  * debian/preinst
    - Removed, old command moved to postinst (Closes: #566589)
      - Thanks piuparts ;-)
  * debian/control
    - Standards-Version updated
  * Disabled Nameservers option (Closes: #591417) (LP: #539874)
    - Thanks to all in 591417@ and the upstream!
    - debian/README.Debian
      - Reason for it added.
    - New patch: debian/02_off_nameservers_opt.diff

 -- Marcos Talau <talau@users.sourceforge.net>  Mon, 16 Aug 2010 20:22:32 -0300

ziproxy (3.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #587039) [CVE-2010-2350]
    - Thanks to Moritz Muehlenhoff
  * debian/patches/02_ziproxy_genhtml_stats-bashism.diff
    - Removed, merged upstream.
  * debian/control
    - Renamed Vcs* address
  * debian/patches/02_ziproxy_3.1.1_speedup.diff
    - New patch for fix CPU load problem
  * debian/ziproxy.init
    - Removed $local_fs from Required-{Start,Stop}

 -- Marcos Talau <talau@users.sourceforge.net>  Fri, 25 Jun 2010 21:29:00 -0300

ziproxy (3.1.0-1) unstable; urgency=low

  * New upstream release (LP: #569611) (Closes: #584933) [CVE-2010-1513]
  * Fixed bashisms in ziproxy_genhtml_stats.sh (Closes: #581153)
    - Thanks to Raphael Geissert.
  * Updated debian/copyright
  * debian/ziproxy.init:
    - Added Required-* $remote_fs
    - Now using pidfile option from daemon
  * User/group name now in debian/ziproxy.default
  * Removed patch for Russian man page
    - Upstream removed Russian man pages due to lack of maintainer
  * config.* is now updating with debhelper
  * Changed maintainer mail

 -- Marcos Talau <talau@users.sourceforge.net>  Fri, 04 Jun 2010 17:50:03 -0300

=== debian/control ===
Source: ziproxy
Section: net
Priority: extra
Maintainer: Marcos Talau <talau@users.sourceforge.net>
Build-Depends: debhelper (>= 7.0.50), autotools-dev(>= 20100122.1), flex, libjpeg-dev, libpng12-dev, libgif-dev, zlib1g-dev, autoconf, libjasper-dev
Standards-Version: 3.9.1
Homepage: http://ziproxy.sf.net
Vcs-Git: git://git.debian.org/git/collab-maint/ziproxy.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ziproxy.git

Package: ziproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, passwd, adduser
Description: compressing HTTP proxy server
 ziproxy is a forwarding, non-caching and compressing HTTP proxy server.
 Basically it squeezes images by converting them to lower quality
 JPEGs and compresses (gzip) HTML and other text-like data.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with autotools_dev
 
 override_dh_auto_configure:
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-jasper CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed"

## ziproxy 3.2.0

=== debian/changelog ===
ziproxy (3.2.0-2) unstable; urgency=low

  * debian/control
    - Standards-Version updated to 3.9.3
      - No changes need
    - Change Build-Depends libpng12-dev to libpng-dev (Closes: #662576)

 -- Marcos Talau <talau@users.sourceforge.net>  Wed, 21 Mar 2012 16:38:02 -0300

ziproxy (3.2.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/02_off_nameservers_opt.diff
    - Removed, upstream introduces ./configure parameter for it
  * debian/control
    - Standards-Version updated
  * debian/ziproxy.init
    - Remove PIDFILE if process not exists (Closes: #616160)
      - Thanks to Witold Baryluk
    - Small fixes
  * New patch for libpng 1.5.2 (Closes: #635699)
    - Thanks to Nobuhiro Iwamatsu

 -- Marcos Talau <talau@users.sourceforge.net>  Thu, 20 Oct 2011 11:45:11 -0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: Marcos Talau <talau@users.sourceforge.net>
-Build-Depends: debhelper (>= 7.0.50), autotools-dev(>= 20100122.1), flex, libjpeg-dev, libpng12-dev, libgif-dev, zlib1g-dev, autoconf, libjasper-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50), autotools-dev(>= 20100122.1), flex, libjpeg-dev, libpng-dev, libgif-dev, zlib1g-dev, autoconf, libjasper-dev, libsasl2-dev
+Standards-Version: 3.9.3
 Homepage: http://ziproxy.sf.net
 Vcs-Git: git://git.debian.org/git/collab-maint/ziproxy.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ziproxy.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-jasper --with-sasl2 --enable-nameservers=no CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed"

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_fixperms:
	dh_fixperms --exclude http.passwd --exclude sasl/ziproxy.conf
	chmod 640 debian/ziproxy/etc/ziproxy/http.passwd
	chmod 640 debian/ziproxy/etc/ziproxy/sasl/ziproxy.conf

=== debian/watch ===
version=3
http://sf.net/ziproxy/ziproxy-([\d.]+)\.tar\.bz2

## ziproxy 3.3.1

=== debian/changelog ===
ziproxy (3.3.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Marcos Talau <talau@users.sourceforge.net>  Tue, 29 Dec 2015 13:20:31 -0200

ziproxy (3.3.1-1) experimental; urgency=low

  * New upstream release.
    - DH level updated to 9.
    - Switch from autoconf to autoreconf
  * debian/control
    - Added lsb-base in Depends.
    - More detailed Description.
    - Standards-Version updated to 3.9.6
    - Vcs-* fields to canonical URI.
  * debian/copyright
    - Updated to 1.0 Machine-readable format.
  * debian/dirs
    - Removed, as it is dispensable.
  * debian/docs
    - Added THANKS file from upstream.
  * debian/patches/:
    - 01_ziproxyconf.diff: Now Ziproxy binds only the local interface by
      default (LP: #1250952). Thanks to Shelby Cain.
    - Build using giflib5. Thanks to Matthias Klose (Closes: #803294).
    - New patch 02_small_spelling.diff
    - Removed 02_new_libpng.diff, upstream fixed it.
    - series: Fixed quilt-series-without-trailing-newline
  * debian/rules
    - Added Hardening options.
    - Removed DH override for ChangeLog
    - Removed unnecessary args in dh_fixperms
    - Switch from ./configure to dh_auto_configure
  * debian/watch
    - Improved URL regexp.
  * debian/ziproxy.init
    - Now uses LSB init-functions.

 -- Marcos Talau <talau@users.sourceforge.net>  Mon, 09 Nov 2015 13:06:15 -0200

=== debian/control ===
Source: ziproxy
Section: net
Priority: extra
Maintainer: Marcos Talau <talau@users.sourceforge.net>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               flex,
               libgif-dev,
               libjasper-dev,
               libjpeg-dev,
               libpng-dev,
               libsasl2-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://ziproxy.sf.net
Vcs-Git: git://anonscm.debian.org/collab-maint/ziproxy.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/ziproxy.git

Package: ziproxy
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser,
         lsb-base (>= 3.0-10),
         passwd
Description: compressing HTTP proxy server
 Ziproxy is a forwarding, non-caching and compressing HTTP proxy server.
 Basically it squeezes images by converting them to lower quality JPEGs
 and compresses (gzip) HTML and other text-like data. It also provides
 other features such as: HTML/JS/CSS optimization, preemptive hostname
 resolution, transparent proxying, IP ToS marking (QoS), Ad-Blocker,
 detailed logging and more.
 .
 Ziproxy may be installed in a number of different ways. Most common
 setup modes:
 1) As a remote proxy (by far, the most commonly used setup)
    Ziproxy accesses the remote www servers through a fast link,
    compresses the data, then send it to the client through a slow link.
    In such setups there's no additional software required by the client,
    Ziproxy acts much as a common network proxy.
 2) As a local and remote proxy
    Similar to setup #1, except that the client also runs its instance of
    Ziproxy. Although Ziproxy does not require a Ziproxy-specific client,
    there are circumstances where is desired to run Ziproxy-as-a-client:
      * Client does not support JPEG 2000.
      * Client supports JPEG 2000 but it is buggy and/or slow.
      * Client does not support gzip.
      * Need to support both JPEG 2000 and standard JPEG at the same proxy.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-jasper --with-sasl2 --enable-nameservers=no

override_dh_fixperms:
	dh_fixperms
	chmod 640 debian/ziproxy/etc/ziproxy/http.passwd
	chmod 640 debian/ziproxy/etc/ziproxy/sasl/ziproxy.conf

## ziproxy 3.3.2

=== debian/changelog ===
ziproxy (3.3.2-8) unstable; urgency=medium

  * debian/control: Bump Standards-Version to "4.7.2".
  * debian/copyright: Update packaging copyright years.
  * debian/patches/04_fix-build-with-gcc15.patch: Fix build with GCC 15.
    (Closes: #1098200)

 -- Marcos Talau <talau@debian.org>  Sat, 13 Sep 2025 12:29:49 -0300

ziproxy (3.3.2-7) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to "4.6.2".
    - Replace lsb-base to sysvinit-utils in Depends.
  * debian/patches/01_ziproxyconf.diff: Add Forwarded.

 -- Marcos Talau <talau@debian.org>  Thu, 07 Sep 2023 01:28:01 +0530

ziproxy (3.3.2-6) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/control: Drop versioned constraint on lsb-base (>= 3.0-10) in
    Depends.

  [ Marcos Talau ]
  * Build without SASL support (Closes: #1023918). Thanks to Bastian Germann
    for the report.
  * debian/copyright: Update packaging copyright years.

 -- Marcos Talau <talau@debian.org>  Thu, 05 Jan 2023 11:41:57 -0300

ziproxy (3.3.2-5) unstable; urgency=medium

  * Update Maintainer mail.
  * debian/lintian-overrides:
    - Update non-standard-file-perm.
    - Update package-contains-documentation-outside-usr-share-doc.
  * debian/source/lintian-overrides:
    - Update very-long-line-length-in-source-file.

 -- Marcos Talau <talau@debian.org>  Fri, 09 Sep 2022 18:30:11 -0300

ziproxy (3.3.2-4) unstable; urgency=medium

  * debian/control: Remove sentences related to JPEG-2000 in the Description.
  * debian/copyright:
    - Add Clint Adams, Mattia Rizzolo, and Michael Hudson-Doyle
      to `debian/*' copyright stanza.
    - Change Upstream-Name to Ziproxy.
  * debian/default: Remove useless comments.
  * debian/docs: Remove the file `JPEG2000.txt'.
  * debian/lintian-overrides: Add comments about the overrides.
  * debian/rules: Add a comment about the use of `chmod'.
  * debian/tests/*: Improve all tests.
  * debian/tests/ziproxy: Rename to validation.

 -- Marcos Talau <marcos@talau.info>  Sat, 11 Jun 2022 12:59:09 -0300

ziproxy (3.3.2-3) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.1, no changes.
  * debian/copyright: Update packaging copyright years.
  * debian/source/lintian-overrides: New. Add override due long lines in the
    files src/cfgfile.[ch].
  * debian/ziproxy.default: Rename to default.
  * debian/ziproxy.init: Rename to init.
  * debian/ziproxy.install: Rename to install.
  * debian/ziproxy.service: Rename to service.

 -- Marcos Talau <marcos@talau.info>  Fri, 10 Jun 2022 16:21:23 -0300

ziproxy (3.3.2-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    - Bump Standards-Version to 4.6.0.1.
    - Update Vcs-* fields.
  * debian/rules: Remove '--with autoreconf' because it is default since DH 10.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control:
    - Add restriction isolation-container.
    - Add ziproxy to Depends.

 -- Marcos Talau <marcos@talau.info>  Fri, 10 Sep 2021 19:54:31 -0300

ziproxy (3.3.2-1) experimental; urgency=low

  * New upstream release.
  * Using new DH level format. Consequently:
    - debian/compat: Remove.
    - debian/control: Change from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bump level to 13.
  * debian/control:
    - Add Pre-Depends field.
    - Add Rules-Requires-Root field.
    - Bump Standards-Version to 4.5.1.
    - Change Maintainer mail.
    - Change priority from extra to optional.
    - Update Vcs fields to salsa.
  * debian/copyright: Update years.
  * debian/lintian-overrides: Add overrides to /usr/share/ziproxy/error/*
  * debian/patches/:
    - 02_small_spelling.diff: Remove, upstream are using it.
    - 03_giflib5.diff: Remove, upstream are using it.
    - 04_gcc10.diff: Remove, upstream fixed the compilation problem.
      Thanks to Michael Hudson-Doyle.
    - 02_ziproxylogtool_typos.diff: New, fix typos in ziproxylogtool.
    - 03_image_gccwarn.diff: New, fix gcc warning in image.c
  * debian/postinst: Change /var/run to /run.
  * debian/README.Debian: Add note about jasper support.
  * debian/tests/*: Create autopkgtest.
  * debian/upstream/metadata: Add upstream metadata information.
  * debian/watch:
    - Replace some regex's to @TAGS@.
    - Update to version 4.
  * debian/ziproxy.default: Add comments about systemd.
  * debian/ziproxy.service: New systemd service file.

 -- Marcos Talau <marcos@talau.info>  Fri, 04 Jun 2021 19:36:19 -0300

ziproxy (3.3.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc 10. (Closes: 958012)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 06 Oct 2020 13:54:59 +1300

ziproxy (3.3.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules
    - Build without jasper support.
  * debian/control
    - Use HTTPS in Vcs-* fields.
    - Drop build-depends on jasper.  Closes: #818210
    - Correctly format extended description.  Closes: #809492

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Jun 2016 10:06:07 +0000

=== debian/control ===
Source: ziproxy
Section: net
Priority: optional
Maintainer: Marcos Talau <talau@debian.org>
Build-Depends: debhelper-compat (= 13),
               flex,
               libgif-dev,
               libjpeg-dev,
               libpng-dev,
               zlib1g-dev
Standards-Version: 4.7.2
Homepage: http://ziproxy.sf.net
Vcs-Git: https://salsa.debian.org/debian/ziproxy.git
Vcs-Browser: https://salsa.debian.org/debian/ziproxy
Rules-Requires-Root: no

Package: ziproxy
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser,
         passwd,
         sysvinit-utils (>= 3.07-1)
Description: compressing HTTP proxy server
 Ziproxy is a forwarding, non-caching, and compressing HTTP proxy server.
 Basically, it squeezes images by converting them to lower-quality JPEGs
 and compresses (gzip) HTML and other text-like data. It also provides
 other features such as HTML/JS/CSS optimization, preemptive hostname
 resolution, transparent proxying, IP ToS marking (QoS), Ad-Blocker,
 detailed logging, and more.
 .
 Ziproxy may be installed in a number of different ways. Most common
 setup modes:
  1) As a remote proxy (by far, the most commonly used setup)
     Ziproxy accesses the remote www servers through a fast link,
     compresses the data, then send it to the client through a slow link.
     In such setups, there's no additional software required by the client,
     Ziproxy acts much as a common network proxy.
  2) As a local and remote proxy
     Similar to setup #1, except that the client also runs its instance of
     Ziproxy. Although Ziproxy does not require a Ziproxy-specific client,
     there are circumstances where it is desired to run Ziproxy-as-a-client,
     such as when the client does not support gzip.

=== debian/tests/control ===
Test-Command: ziproxy --help | grep "^Usage: ziproxy"
Restrictions: allow-stderr, superficial

Test-Command: ziproxylogtool --help 2>&1 | grep "^Usage: ziproxylogtool"
Restrictions: allow-stderr, superficial

Tests: validation
Depends: apache2, net-tools, wget, ziproxy
Restrictions: allow-stderr, isolation-container, needs-root, skippable

=== debian/watch ===
version=4
http://sf.net/@PACKAGE@/@PACKAGE@-(\d\.[\d.]+)@ARCHIVE_EXT@
